Bug 805921 - Document the expectations about ghost users showing in the lookups
Document the expectations about ghost users showing in the lookups
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.3
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 09:06 EDT by Dmitri Pal
Modified: 2013-02-21 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Sometimes, group members may not be visible when running the getent group groupname command. This can be caused by an incorrect ldap_schema in the [domain/DOINNAME] section of the sssd.conf file. SSSD supports three LDAP schema types: RFC 2307, RFC 2307bis, and IPA. By default, SSSD uses the more common RFC 2307 schema. The difference between RFC 2307 and RFC 2307bis is the way which group membership is stored in the LDAP server. In an RFC 2307 server, group members are stored as the multi-valued memberuid attribute which contains the name of the users that are members. In an RFC2307bis server, group members are stored as the multi-valued attribute member (or sometimes uniqueMember) which contains the DN of the user or group that is a member of this group. RFC2307bis allows nested groups to be maintained as well. When encountering this problem: add ldap_schema = rfc2307bis in the sssd.conf file, detele the /var/lib/sss/db/cache_DOMAINNAME.ldb file, and restart SSSD. If the workaround does not work, add ldap_group_member = uniqueMember in the sssd.conf file, delete the cache file and restart SSSD.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:21:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-03-22 09:06:36 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1256

See ticket #1255 for the design of the new approach of dealing with fake/ghost users. There are some situations when fake/ghost users are removed from child groups but would still show up as a member of the parent group. It might look confusing and might cause some unnecessary bugs and tickets filed. To prevent this we need to clearly articulate how things would work with the new approach and what to expect.
Comment 1 Jenny Galipeau 2012-06-13 16:15:26 EDT
where is this to be documented?
Comment 2 RHEL Product and Program Management 2012-07-10 01:49:22 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 22:05:10 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Jakub Hrozek 2012-10-07 18:03:28 EDT
Currently the expectations have only been documented in the upstream FAQ document - https://fedorahosted.org/sssd/wiki/FAQ

Would you prefer a better document such as the release notes? I don't think the man pages are a good place to include a low-level change like that.
Comment 5 Jakub Hrozek 2012-10-08 04:24:50 EDT
As discussed with Kaushik, the proper place seems to be the release notes, so I've set the flag.

I cleaned up the FAQ, it was quite confusing. This is the link to the (hopefully correct now) upstream documentation: https://fedorahosted.org/sssd/wiki/FAQ#Idontseeanygroupmemberswhenrunninggetentgroupgroupname
Comment 6 Jakub Hrozek 2012-10-10 05:13:22 EDT
Marking as MODIFIED because the upstream documentation has been corrected. I'll leave the FixedIn field blank.
Comment 8 Kaushik Banerjee 2013-01-30 08:56:59 EST
Doc Text gives appropriate explanation and solution of the issue. Marking this bug verified.
Comment 9 errata-xmlrpc 2013-02-21 04:21:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.